package com.bonus.core.allocation.holiday.service;


import com.bonus.core.allocation.holiday.model.MktHoliday;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;

public interface MktHolidayService {


   List<Date> getHolidayList(Integer year);

   Integer getHolidayType(LocalDate searchDate);

   List<MktHoliday> listHolidayByDate(LocalDate searchDate);
}
